Subject: RE: draft-so-pwe3-ethernet

From: Sasha Vainshtein <[email-masked]>
Date: Tue, 23 Jul 2002 10:09:46 +0200

Mitsuru and all,
There is indeed no problem if the CE is assigned with a
fixed globally unique IP address.
There was also no problem in the LAC/LNS model of L2TP.
I suspect, however, that a combination of a symmetric L2TP model
with dynamic allocation of the CE IP addresses may be
problematic.

With best regards,
                                   Sasha Vainshtein
email:     [email-masked] <mailto:[email-masked]> 
tel:       +972-3-7659993 (office)
           +972-8-9254948 (res.)
           +972-58-674833 (cell.)

> -----Original Message-----
> From: Mitsuru Higashiyama 
> [mailto:[email-masked]]
> Sent: Tuesday, July 23, 2002 2:16 AM
> To: Sasha Vainshtein; [email-masked]
> Cc: W. Mark Townsley; Cheng-Yin Lee; [email-masked]; Alik 
> Shimelmits; Akiva Sadovski; Israel Sasson
> Subject: Re: [PWE3] draft-so-pwe3-ethernet
> 
> 
> Sasha,
> 
> > Sasha Vainshtein wrote:
> ... snipped ...
> > > > Specifically for the Ethernet PWs, CEs (in the current
> > > > reference model) may be simply bridges, not routers
> > > > (just as for FR CEs may be FR switches), i.e., they
> > > > do not require assignment of any (not to say, unique IP)
> > > > addresses.
> > > 
> > > True, although I think that the "PE" could actutally be owned
> > > and managed by the customer. I think that we should find
> > > an owner neutral term, because I am not sure how the deployments
> > > will split between SP provided PW service and customers 
> > > provisioning the service themselves (with or without the blessing
> > > of their ISP)
> > >
> > >
> > Ownership of the device that terminates the PW is not important.
> > The question is, how is its IP address assigned (if at all)?
> > The following cases (that seem all to be relevant
> > for the customer-managed device)look problematic to me:
> > a) The device is not assigned with any IP address at all
> > b) The device is assigned with a temporary IP address using DHCP
> >    running in the SP server
> > c) The device is assigned with a private IP address with a NAT
> >    middlebox between it and the SP network.
> > My assumption was that no such thing happens to a device that
> > is managed by the SP.
> 
> Sorry, I cannot understand what you point out.
> Why not the device is assigned with global IP address which customer
> has ?
> 
> The original L2TP model, LAC and LNC may locate at CE edge.
> 
> Thanks,
> Mitsuru Higashiyama
> 
> > >
> > > > 
> > > > On the other hand, the PW operation is possible only between
> > > > devices with unambiguous IP connectivity between them.
> > > > This is equally true both for L2TP-based and MPLS-based PWs.
> > > > (The fact that this connectivity could be provided by
> > > > a L3 VPN would not affect the PW operation in any way.)
> > > 
> > > Well there needs to be an unambiguous path, but I would be
> > > careful how you use the words "unambiguous IP connectivity"
> > >
> > What I am afraid of is the situation when, say, reset of a
> > device terminating the PWs would result in changing its 
> > IP address as known by its peers. 
> > >
> > > > 
> > > > Hopefully you will find these considerations valid.
> > > 
> > > I would if I understook your point, because I cannot see
> > > how this relates to Mark's proposed document structure.
> > > 
> > > Stewart
> > > 
> > > > 
> > > > With best regards,
> > > >                                    Sasha Vainshtein
> > > > email:     [email-masked] <mailto:[email-masked]>
> > > > tel:       +972-3-7659993 (office)
> > > >            +972-8-9254948 (res.)
> > > >            +972-58-674833 (cell.)
> > > > 
> > > > 
> > > > > -----Original Message-----
> > > > > From: Stewart Bryant [mailto:[email-masked]]
> > > > > Sent: Monday, July 22, 2002 11:09 AM
> > > > > To: W. Mark Townsley
> > > > > Cc: Cheng-Yin Lee; [email-masked]
> > > > > Subject: Re: [PWE3] draft-so-pwe3-ethernet
> > > > >
> > > > >
> > > > >
> > > > > Re the exchange below:
> > > > >
> > > > > What are the views of the WG, should we change the 
> PWE3 protocol
> > > > > layering/framework/architecture document to be 
> provider/customer
> > > > > neutral?
> > > > >
> > > > > Stewart
> > > > >
> > > > >
> > > > >
> > > > > "W. Mark Townsley" wrote:
> > > > > >
> > > > > > Cheng-Yin Lee wrote:
> > > > > > >
> > > > > > > Stewart,
> > > > > > >
> > > > > > > Stewart Bryant wrote:
> > > > > > >
> > > > > > > > Cheng-Yin Lee wrote:
> > > > > > > > >
> > > > > > > > > Tricci et al,
> > > > > > > > > Would it be possible to specify Ethernet over 
> L2TP/GRE (in
> > > > > > > > > draft-so-pwe3-ethernet.txt ) for device to 
> > > device, instead of
> > > > > > > > > specifically for PE to PE only?
> > > > > > > >
> > > > > > > > Do you mean from CE to CE?
> > > > > > > > In the L2TP case this will (does) just work.
> > > > > > >
> > > > > > > Understood, but the current draft description is in terms
> > > > > of PE to PE.
> > > > > >
> > > > > > The L2TP portion of this is going to be rewritten into a
> > > > > separate document.
> > > > > > There will be nothing to prohibit use of eth over l2tp with
> > > > > any of the
> > > > > > device-oriented reference models identified in
> > > > > > draft-ietf-l2tpext-l2tp-base-03.txt.
> > > > > >
> > > > > > >
> > > > > > > > >
> > > > > > > > > I understand the PWE framework document describes pwe
> > > > > for PE-PE only,
> > > > > > > > > but the PWE3 charter does not preclude device to 
> > > device pwe.
> > > > > > > > >
> > > > > > > >
> > > > > > > > The charter starts "Service providers (SP) are seeking
> > > > > to offer multiple
> > > > > > > > services across a common packet switched network
> > > > > (PSN)...", and the Edge
> > > > > > > > to Edge title implies SPs.
> > > > > > > >
> > > > > > > > For the packet services, and some cell running CE-CE
> > > > > will work just fine,
> > > > > > > > although in the case of MPLS you have to carry the MPLS
> > > > > over GRE.
> > > > > > > > However the bit payloads need to be deployed 
> with care, and
> > > > > > > > may not work unless the SP provides suitable traffic
> > > > > engineering.
> > > > > > >
> > > > > > > ... at this point, I have only requested device to device
> > > > > pwe description for
> > > > > > > Ethernet.
> > > > > >
> > > > > > I prefer "Device to Device" for pwe3 in general, with ppvpn
> > > > > or other WGs
> > > > > > focusing more on PE, CE, and such designations. L2TPEXT
> > > > > will certainly support a
> > > > > > "device to device" description.
> > > > > >
> > > > > > >
> > > > > > > thanks
> > > > > > > cheng-yin
> > > > > > >
> > > > > > > >
> > > > > > > >
> > > > > > > > Stewart
> > > > > > > >
> > > > > > > > > thanks
> > > > > > > > > cheng-yin
> > > > > > > > >
> > > > > > > > > _______________________________________________
> > > > > > > > > pwe3 mailing list
> > > > > > > > > [email-masked]
> > > > > > > > > https://www1.ietf.org/mailman/listinfo/pwe3
> > > > > > >
> > > > > > > _______________________________________________
> > > > > > > pwe3 mailing list
> > > > > > > [email-masked]
> > > > > > > https://www1.ietf.org/mailman/listinfo/pwe3
> > > > > >
> > > > > > _______________________________________________
> > > > > > pwe3 mailing list
> > > > > > [email-masked]
> > > > > > https://www1.ietf.org/mailman/listinfo/pwe3
> > > > >
> > > > > _______________________________________________
> > > > > pwe3 mailing list
> > > > > [email-masked]
> > > > > https://www1.ietf.org/mailman/listinfo/pwe3
> > > > >
> > > 
> > 
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pwe3
>